module PersonalLab
  class Engine < ::Rails::Engine
  	initializer "personal_lab" do
		OrbitApp.registration "PersonalLab",:type=> 'ModuleApp' do
			module_label 'module_name.personal_lab'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '30', :app_name=>"Lab", :intro_app_name=>"PersonalLabIntro",:path=>"/plugin/personal_lab/profile",:front_path=>"/profile",:admin_path=>"/admin/labs",:i18n=>'module_name.personal_lab', :module_app_name=>'PersonalLab', :analysis=> true, :analysis_path => "/admin/labs/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
      		frontend_enabled
      		icon_class_no_sidebar "icons-user"
      		data_count 1..30
		end
	end
  end
end
